summaryrefslogtreecommitdiff
path: root/dev-python/flask-paginate
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/flask-paginate
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/flask-paginate')
-rw-r--r--dev-python/flask-paginate/Manifest1
-rw-r--r--dev-python/flask-paginate/flask-paginate-0.8.0.ebuild23
-rw-r--r--dev-python/flask-paginate/metadata.xml9
3 files changed, 29 insertions, 4 deletions
diff --git a/dev-python/flask-paginate/Manifest b/dev-python/flask-paginate/Manifest
index 3a28f339eaf8..7a48d44bb85e 100644
--- a/dev-python/flask-paginate/Manifest
+++ b/dev-python/flask-paginate/Manifest
@@ -1 +1,2 @@
DIST flask-paginate-0.7.0.tar.gz 119358 BLAKE2B 24c1f3bc77853c9c96bb72d3364e73845f8fd0870606dd96b4261861430bef864a6830dd793f4f6e8a9371c89342dda88c5f976d79ff4a1bec7d687614b2014a SHA512 11c335c08c6a9c32999e5b8ba7a76c1fb04769e5ab679b550efc87497446edbaa1e3ccb62a4c238a0b5585f7ba4067e43f158ae123c3b118db84b90cb5d4f219
+DIST flask-paginate-0.8.0.tar.gz 119687 BLAKE2B 0c73f1d72938fe2cb322ec53e1ce3df083c81f1b2bc58f150af1e602c7e435aaa844534283f83337cd9840f8ece69620de9e63e3f8017f848b5dc2fb54f19848 SHA512 1958dbf5675b24ae175098c740e08cc3aa9d2088f6f10768083a740fba3a87cf4b5255ddbc5fe72d286fb04817f527fba9fca5b09af2929851c5ac1eefe3b4d7
diff --git a/dev-python/flask-paginate/flask-paginate-0.8.0.ebuild b/dev-python/flask-paginate/flask-paginate-0.8.0.ebuild
new file mode 100644
index 000000000000..8bc43d1dbc48
--- /dev/null
+++ b/dev-python/flask-paginate/flask-paginate-0.8.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Pagination support for flask"
+HOMEPAGE="https://flask-paginate.readthedocs.io"
+SRC_URI="https://github.com/lixxu/flask-paginate/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_test() {
+ pytest -vv tests/tests.py || die "tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/flask-paginate/metadata.xml b/dev-python/flask-paginate/metadata.xml
index 099bcd1c6c11..240963b578ca 100644
--- a/dev-python/flask-paginate/metadata.xml
+++ b/dev-python/flask-paginate/metadata.xml
@@ -1,18 +1,19 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>proxy-maint@gentoo.org</email>
- <name>Proxy Maintainers</name>
- </maintainer>
<maintainer type="person">
<email>davidroman96@gmail.com</email>
<name>David Roman</name>
</maintainer>
<maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
+ <maintainer type="project">
<email>python@gentoo.org</email>
<name>Python</name>
</maintainer>
+ <stabilize-allarches/>
<upstream>
<remote-id type="github">lixxu/flask-paginate</remote-id>
<remote-id type="pypi">flask-paginate</remote-id>